Page MenuHomeFreeBSD

nvdimm: Simple namespace support
ClosedPublic

Authored by scottph on Oct 19 2018, 7:59 PM.

Details

Reviewers
bwidawsk
kib
Summary

Add support for simple NVDIMM v1.2 namespaces from the UEFI
version 2.7 specification. The combination of NVDIMM regions and
labels can lead to a wide variety of namespace layouts. Here we
support a simple subset of namespaces where each NVDIMM SPA range
is composed of a single region per member dimm.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

scottph created this revision.Oct 19 2018, 7:59 PM
bwidawsk added inline comments.Oct 19 2018, 8:47 PM
sys/dev/nvdimm/nvdimm.c
290

I think you need to free the buffer on each loop, not just at the end. You could potentially statically allocate the buffer, but I've never actually tried to do this myself.

emaste added a subscriber: emaste.Nov 1 2018, 4:48 PM

One note from https://wiki.freebsd.org/Phabricator - for next upload please include full context e.g. from git show -U999999 <commit-hash> > change.diff

scottph retitled this revision from [RFC] squash of the work-in-progress series for NVDIMM Namespace support to nvdimm: Simple namespace support.Jan 3 2019, 8:13 PM
scottph edited the summary of this revision. (Show Details)
scottph updated this revision to Diff 52526.
bwidawsk accepted this revision.Feb 22 2019, 8:04 PM
This revision is now accepted and ready to land.Feb 22 2019, 8:04 PM
bwidawsk closed this revision.Feb 22 2019, 8:04 PM